metadata:
  name: Postman Example
variables:
  GREETINGS: This is a Postman test example uses postman_action with (folder, environment, globals, iteration-count) options
jobs:
  # Set the job key.  The key is displayed as the job name when
  # a job name is not provided
  keyword-driven:
    runs-on: postman
    steps:
    - run: echo $GREETINGS
    - uses: actions/checkout@v2
      with:
        repository: https://gitlab.com/opentestfactory/test-samples/postman-samples
    - uses: postman/postman@v1
      with:
        collection: postman-samples/CollectionTestsGitLab.postman_collection.json
        folder: 2_Postman_Action
        environment: postman-samples/Environments/CollectionTestsGitLabEnv.postman_environment.json
        globals: postman-samples/Globals/CollectionTestsGitLab.postman_globals.json
        iteration-count: 3